using System.ComponentModel.DataAnnotations;
using Nop.Web.Framework.Mvc.ModelBinding;
using Nop.Web.Framework.Models;

namespace Nop.Web.Areas.Admin.Models.HomePageBannerB2C
{
    public class HomePageBannerB2CModel : BaseNopModel
    {
        public int ActiveStoreScopeConfiguration { get; set; }
        #region Picture 1
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop1Id { get; set; }
        public bool PictureDesktop1Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile1Id { get; set; }
        public bool PictureMobile1Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet1Id { get; set; }
        public bool PictureTablet1Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text1 { get; set; }
        public bool Text1_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link1 { get; set; }
        public bool Link1_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText1 { get; set; }
        public bool AltText1_OverrideForStore { get; set; }
        #endregion

        #region Picture 2
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop2Id { get; set; }
        public bool PictureDesktop2Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile2Id { get; set; }
        public bool PictureMobile2Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet2Id { get; set; }
        public bool PictureTablet2Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text2 { get; set; }
        public bool Text2_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link2 { get; set; }
        public bool Link2_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText2 { get; set; }
        public bool AltText2_OverrideForStore { get; set; }
        #endregion

        #region Picture 3
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop3Id { get; set; }
        public bool PictureDesktop3Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile3Id { get; set; }
        public bool PictureMobile3Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet3Id { get; set; }
        public bool PictureTablet3Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text3 { get; set; }
        public bool Text3_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link3 { get; set; }
        public bool Link3_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText3 { get; set; }
        public bool AltText3_OverrideForStore { get; set; }
        #endregion

        #region Picture 4
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop4Id { get; set; }
        public bool PictureDesktop4Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile4Id { get; set; }
        public bool PictureMobile4Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet4Id { get; set; }
        public bool PictureTablet4Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text4 { get; set; }
        public bool Text4_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link4 { get; set; }
        public bool Link4_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText4 { get; set; }
        public bool AltText4_OverrideForStore { get; set; }
        #endregion

        #region Picture 5
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop5Id { get; set; }
        public bool PictureDesktop5Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile5Id { get; set; }
        public bool PictureMobile5Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet5Id { get; set; }
        public bool PictureTablet5Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text5 { get; set; }
        public bool Text5_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link5 { get; set; }
        public bool Link5_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText5 { get; set; }
        public bool AltText5_OverrideForStore { get; set; }
        #endregion

        #region Picture 6
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop6Id { get; set; }
        public bool PictureDesktop6Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile6Id { get; set; }
        public bool PictureMobile6Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet6Id { get; set; }
        public bool PictureTablet6Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text6 { get; set; }
        public bool Text6_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link6 { get; set; }
        public bool Link6_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText6 { get; set; }
        public bool AltText6_OverrideForStore { get; set; }
        #endregion

        #region Picture 7
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop7Id { get; set; }
        public bool PictureDesktop7Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile7Id { get; set; }
        public bool PictureMobile7Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet7Id { get; set; }
        public bool PictureTablet7Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text7 { get; set; }
        public bool Text7_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link7 { get; set; }
        public bool Link7_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText7 { get; set; }
        public bool AltText7_OverrideForStore { get; set; }
        #endregion

        #region Picture 8
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop8Id { get; set; }
        public bool PictureDesktop8Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile8Id { get; set; }
        public bool PictureMobile8Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet8Id { get; set; }
        public bool PictureTablet8Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text8 { get; set; }
        public bool Text8_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link8 { get; set; }
        public bool Link8_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText8 { get; set; }
        public bool AltText8_OverrideForStore { get; set; }
        #endregion

        #region Picture 9
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop9Id { get; set; }
        public bool PictureDesktop9Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile9Id { get; set; }
        public bool PictureMobile9Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet9Id { get; set; }
        public bool PictureTablet9Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text9 { get; set; }
        public bool Text9_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link9 { get; set; }
        public bool Link9_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText9 { get; set; }
        public bool AltText9_OverrideForStore { get; set; }
        #endregion

        #region Picture 10
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureDesktop")]
        [UIHint("Picture")]
        public int PictureDesktop10Id { get; set; }
        public bool PictureDesktop10Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureMobile")]
        [UIHint("Picture")]
        public int PictureMobile10Id { get; set; }
        public bool PictureMobile10Id_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.PictureTablet")]
        [UIHint("Picture")]
        public int PictureTablet10Id { get; set; }
        public bool PictureTablet10Id_OverrideForStore { get; set; }

        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Text")]
        public string Text10 { get; set; }
        public bool Text10_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.Link")]
        public string Link10 { get; set; }
        public bool Link10_OverrideForStore { get; set; }
        [NopResourceDisplayName("Plugins.Widgets.NivoSlider.AltText")]
        public string AltText10 { get; set; }
        public bool AltText10_OverrideForStore { get; set; }
        #endregion
    }
}
